<template>
  <div class="flex mr-2">
    <select
      v-model="lower"
      class="w-full"
    >
      <option
        v-for="value of values"
        :key="value"
        :value="value"
      >
        {{ value }}
      </option>
    </select>

    <p class="mx-2">
      to
    </p>

    <select
      v-model="upper"
      class="w-full"
    >
      <option
        v-for="value of values"
        :key="value"
        :value="value"
      >
        {{ value }}
      </option>
    </select>
  </div>
</template>

<script lang="ts">
import { Vue, Component, Model, Prop, Watch } from 'vue-property-decorator'

import _ from 'lodash/fp'

@Component
export default class IntervalSelector extends Vue {
  @Model('interval') interval

  @Prop(Array) values
  @Prop({ default: [] }) content

  filter = ''
  lower = _.nth(0, this.content)
  upper = _.nth(1, this.content)

  @Watch('interval')
  onIntervalChanged () {
    this.$emit('interval', [ this.lower, this.upper ])
  }
}
</script>
